Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

I made a Internet search and it looks like LO 3.6.3 is compatible with Win2000. You can download it from here.

The newer versions go back to Win XP. You might give it a shot it might work (XP is based on 2000). Good luck.